%define default_extdir  %{_libdir}/php/modules
%define default_apiver  20041225
%define default_version  5.2.6

%define module_version 3.0.3

%define php_extdir %(php-config --extension-dir 2>/dev/null || echo %{default_extdir})
%{!?php_version:%define php_version %(php-config --version 2>/dev/null || echo %{default_version})}


Summary: 	PHP accelerator, optimizer, encoder and dynamic content cacher
Name: 		php-xcache
Version: 	%{php_version}_%{module_version}
Release: 	14.1
License: 	GPL
Group: 		Development/Languages
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	php = %{php_version}
Provides: 	php-zend_extension
BuildRequires: 	php, php-devel, sed
BuildRequires:	autoconf, automake, libtool
Source0: xcache-%{module_version}.tar.bz2

%description
XCache is a fast, stable PHP opcode cacher that has been tested and is now
running on production servers under high load. It is tested (on linux) and
supported on all of the latest PHP cvs branches such as PHP_4_3 PHP_4_4
PHP_5_1 PHP_5_2 PHP_5_3 PHP_5_4 HEAD(6.x). ThreadSafe/Windows is also supported.

%prep
%setup -n xcache-%{module_version}

%build
phpize
%configure --enable-xcache

make 

%install
rm -rf $RPM_BUILD_$ROOT

make install INSTALL_ROOT=%{buildroot}
mkdir -p $RPM_BUILD_ROOT/var/cache/php-xcache
mkdir -p $RPM_BUILD_ROOT/var/www/html/xcache/
%{__install} -D -m 0644 $RPM_SOURCE_DIR/xcache.ini $RPM_BUILD_ROOT%{_sysconfdir}/php.d/xcache.ini
sed -i -e 's|/REPLACEME|%{php_extdir}|g' $RPM_BUILD_ROOT%{_sysconfdir}/php.d/xcache.ini
cp -R htdocs/* $RPM_BUILD_ROOT%{_var}/www/html/xcache/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%doc xcache.ini THANKS README NEWS ChangeLog
%config(noreplace) %{_sysconfdir}/php.d/xcache.ini
%{php_extdir}/xcache.so
%{_var}/www/html/xcache/*

%changelog
* Mon Aug 26 2013 cs@linux-administrator.com
- update to version 3.0.3
* Sun Jan 13 2013 cs@linux-administrator.com
- update to version 3.0.1
* Sun Nov 25 2012 cs@linux-administrator.com
- update to version 3.0.0
* Mon Nov 29 2010 cs@linux-administrator.com
- update to version 1.3.1
* Wed Oct 27 2010 cs@linux-administrator.com
- update to version 1.3.0
